OGRE-Next: Ogre::WindowEventUtilities Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::WindowEventUtilities Class Reference
Core » RenderSystem

`#include <OgreWindowEventUtilities.h>`

## Public Types
typedef multimap< Window *, WindowEventListener * >::type | WindowEventListeners

## Static Public Member Functions
static void | _addRenderWindow (Window *window)
static void | _removeRenderWindow (Window *window)
static void | addWindowEventListener (Window *window, WindowEventListener *listener)
static void | messagePump ()
static void | removeWindowEventListener (Window *window, WindowEventListener *listener)

## Static Public Attributes
static WindowEventListeners | _msListeners
static WindowList | _msWindows

## Detailed Description

Remarks
  Utility class to handle Window Events/Pumping/Messages

## Member Typedef Documentation

## ◆ WindowEventListeners

typedef multimap<Window*,WindowEventListener*>::type Ogre::WindowEventUtilities::WindowEventListeners

## Member Function Documentation

## ◆ _addRenderWindow()

void Ogre::WindowEventUtilities::_addRenderWindow | ( | Window * | window | ) |
| static

Remarks
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters

  window | The RenderWindow to monitor

## ◆ _removeRenderWindow()

void Ogre::WindowEventUtilities::_removeRenderWindow | ( | Window * | window | ) |
| static

Remarks
  Called by RenderWindows upon creation for Ogre generated windows. You are free to add your external windows here too if needed.

Parameters

  window | The RenderWindow to remove from list

## ◆ addWindowEventListener()

void Ogre::WindowEventUtilities::addWindowEventListener | ( | Window * | window,
|  | WindowEventListener * | listener )
| static

Remarks
  Add a listener to listen to renderwindow events (multiple listener's per renderwindow is fine) The same listener can listen to multiple windows, as the Window Pointer is sent along with any messages.

Parameters

  window | The RenderWindow you are interested in monitoring
  listener | Your callback listener

## ◆ messagePump()

void Ogre::WindowEventUtilities::messagePump | ( |  | ) |
| static

Remarks
  Call this once per frame if not using Root:startRendering(). This will update all registered RenderWindows (If using external Windows, you can optionally register those yourself)

## ◆ removeWindowEventListener()

void Ogre::WindowEventUtilities::removeWindowEventListener | ( | Window * | window,
|  | WindowEventListener * | listener )
| static

Remarks
  Remove previously added listener

Parameters

  window | The RenderWindow you registered with
  listener | The listener registered

## Member Data Documentation

## ◆ _msListeners

WindowEventListeners Ogre::WindowEventUtilities::_msListeners
| static

## ◆ _msWindows

WindowList Ogre::WindowEventUtilities::_msWindows
| static

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h